#pragma once
#include <Imagine/Graphics.h>
using namespace Imagine;

const int margeScore=50;
const int marge=10;
const int size=10;
const int z=50;

// Q3
class Piece {
    bool blocs[3][3];
    Color c;
public:
    int x, y;
    Piece();
    bool bloc(int i, int j) const;
    void dessine() const;
    Color couleur() const { return c; }
};

// Q8
class Plateau {
    Color* cases;
    int w,h;
public:
    Plateau(int w0, int h0);
    ~Plateau();
    void dessine() const;
    bool contient(const Piece& p) const;
    bool verifie(const Piece& p) const;
    int positions(const Piece& p) const;
    void absorbe(const Piece& p);
    int detruis();
};
